<?php

namespace Drupal\ggl_map\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * An Ajax Command that reloads a collection by name.
 */
class ReloadCollectionByNameCommand implements CommandInterface {

  /**
   * The name.
   *
   * @var string
   */
  private string $name;

  /**
   * Constructs an Ajax Command object.
   *
   * @param string $name
   *   The name.
   */
  public function __construct(string $name) {
    $this->name = $name;
  }

  /**
   * {@inheritdoc}
   */
  public function render(): array {
    return [
      'command' => 'reloadCollectionByName',
      'name' => $this->name,
    ];
  }

}
